<script lang="ts">
  import Banner from '~/components/Banner.svelte';
  import Search from '~/components/Search.svelte';
  import Card from './components/Card.svelte';
  import SideControl from './components/SideControl.svelte';
  import TopControl from './components/TopControl.svelte';
  import { games, popular, trending, upcoming } from './games.js';
  import { currentCategory } from './stores/game-store.js';

  let screenSize: number;
  let list = games;
  $: {
    switch ($currentCategory?.toLowerCase()) {
      case 'trending':
        list = trending;
        break;
      case 'popular':
        list = popular;
        break;
      case 'upcoming':
        list = upcoming;
        break;
    }
  }
</script>

<svelte:window bind:innerWidth={screenSize} />

<svelte:head>
  <title>Our Games</title>
  <meta
    name="description"
    content="About this app" />
</svelte:head>

<Banner>Explore Islands & Games</Banner>
<section>
  {#if screenSize >= 768}
    <SideControl />
  {:else if screenSize}
    <TopControl />
  {/if}
  <div class="content">
    {#if screenSize >= 768}
      <Search />
    {/if}
    <div class="cards">
      {#each list as data}
        <Card {data} />
      {/each}
    </div>
  </div>
</section>

<style lang="postcss">
  section {
    display: flex;
    flex-direction: column;

    /* margin: var(--content-margin); */
  }

  .content {
    width: 100%;
  }

  .cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: var(--content-margin);
    column-gap: 10px;
    row-gap: 20px;

    & :global(.card) {
      width: 45%;

      /* margin: 10px; */
      background-color: bisque;

      /* margin:2px; */

      /* height:100px; */
    }
  }

  @media (width >= 768px) {
    section {
      flex-direction: row;

      & :global(aside) {
        width: 200px;
        background-color: blueviolet;
      }

      & :global(.input-container) {
        margin-left: 20px;
      }
    }

    .content {
      margin-top: var(--content-margin);
    }

    .cards {
      justify-content: flex-start;

      & :global(.card) {
        width: 200px;
      }
    }
  }
</style>
